%define         pkgname        libgtop
%define         api_version    2.0
%define         lib_major      7
%define         libname        %mklibname gtop %{api_version} %{lib_major}
%define         libgirname     %mklibname gtop-gir %{api_version}
%define         libnamedev     %mklibname -d gtop %{api_version}
%define         last_abi_break_version 2.14.0

Summary:        The LibGTop library
Name:           %{pkgname}2
Version:        2.28.4
Release:        %mkrel 3
License:        GPLv2+
Group:          System/Libraries
URL:            http://www.gnome.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.xz
BuildRequires:  pkgconfig(glib-2.0) >= 2.6.0
BuildRequires:  libxau-devel
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  gobject-introspection-devel >= 0.6.7


%description
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.
On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.



%package -n %{libname}
Summary:        %{summary}
Group:          System/Libraries
Provides:       %{pkgname}%{api_version} = %{version}-%{release}
Requires:       %{name} >= %{version}
Requires:       %{libgirname} = %{version}-%{release}

%description -n %{libname}
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.
On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.



%package -n %{libgirname}
Summary:        GObject Introspection interface description for %name
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{libgirname}
GObject Introspection interface description for %name.



%package -n %{libnamedev}
Summary:        Development files for %{pkgname}
Group:          Development/GNOME and GTK+
Provides:       %{pkgname}%{api_version}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}
Conflicts:      %{pkgname}%{api_version}-devel < %{last_abi_break_version}


%description -n %{libnamedev}
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.
Install this package if you wish to develop applications that access
information on system statistics such as CPU and memory usage.



%prep
%setup -q -n %{pkgname}-%{version}


%build
%configure2_5x --disable-static
%make


%install
rm -rf %{buildroot}
%makeinstall_std 

%{find_lang} %{pkgname}-%{api_version}

find %{buildroot} -name *.la | xargs rm


%clean
rm -rf %{buildroot}



%post -n %{libnamedev}
%_install_info %{name}.info

%postun -n %{libnamedev}
%_remove_install_info %{name}.info



%files -f %{pkgname}-%{api_version}.lang
%defattr(-, root, root)
%doc NEWS README

%files -n %{libname}
%defattr(-, root, root)
%doc NEWS README
%{_libdir}/lib*.so.%{lib_major}*

%files -n %{libgirname}
%defattr(-, root, root)
%{_libdir}/girepository-1.0/GTop-%{api_version}.typelib

%files -n %{libnamedev}
%defattr(-, root, root)
%doc AUTHORS ChangeLog
%doc %_datadir/gtk-doc/html/*
%{_includedir}/%{pkgname}-%{api_version}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/GTop-%{api_version}.gir
%{_infodir}/*.info*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.28.4-3.mga3
+ Revision: 357422
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 2.28.4-2.mga3
+ Revision: 314623
- Fix group, clean specfile, rebuild for mga3

* Tue Aug 30 2011 fwang <fwang> 2.28.4-1.mga2
+ Revision: 136548
- new version 2.28.4
- enable gir

* Sat Apr 16 2011 pterjan <pterjan> 2.28.3-1.mga1
+ Revision: 86667
- Update to 2.28.3

* Wed Jan 19 2011 blino <blino> 2.28.2-2.mga1
+ Revision: 23640
- remove old ldconfig scriptlets
- imported package libgtop2

